#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 6. Text Editors

- Prev

  Ed-1.22.5

- Next

  JOE-4.6

- Up
- Home

# Emacs-30.2

## Introduction to Emacs

The Emacs package contains an extensible, customizable, self-documenting real-time display editor.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://ftpmirror.gnu.org/emacs/emacs-30.2.tar.xz

- Download MD5 sum: 0adba4843ac864ba8c3c9b2a7deea176

- Download size: 53 MB

- Estimated disk space required: 556 MB

- Estimated build time: 0.6 SBU (Using parallelism=4)

### Emacs Dependencies

#### Recommended

harfBuzz-14.2.0, giflib-6.1.3, GnuTLS-3.8.13, jansson-2.15.0, and libtiff-4.7.1

#### Optional

a graphical environment, alsa-lib-1.2.15.3, Cairo-1.18.4, dbus-1.16.2, GLib-2.88.0 (with GObject Introspection), gsettings-desktop-schemas-50.1, GPM-1.20.7, GTK-3.24.52, ImageMagick-7.1.2-13, Little CMS-2.19, libjpeg-turbo-3.1.4.1, libpng-1.6.58, librsvg-2.62.1, libseccomp-2.6.0, libwebp-1.6.0, libxml2-2.15.3, MIT Kerberos V5-1.22.2, Valgrind-3.26.0, intlfonts, libungif, libotf, and m17n-lib - to correctly display such complex scripts as Indic and Khmer, and also for scripts that require Arabic shaping support (Arabic and Farsi), mailutils, and libXaw3d

## Installation of Emacs

Install Emacs by running the following commands:

    ./configure --prefix=/usr &&
    make

This package does not come with a test suite. If make succeeds, you can test the result by running src/emacs -Q, which is the program that will be installed, with its auxiliary files. This should start and display the application opening screen.

Now, as the `root` user:

    make install &&
    chown -v -R root:root /usr/share/emacs/30.2

### Note

This package installs icon files into the `/usr/share/icons/hicolor` hierarchy and you can improve system performance and memory usage by updating `/usr/share/icons/hicolor/index.theme`. To perform the update you must have GTK-3.24.52 installed and issue the following command as the `root` user:

    gtk-update-icon-cache -qtf /usr/share/icons/hicolor

## Command Explanations

`--with-imagemagick`: Use this if you have installed ImageMagick-7.1.2-13 and wish to link against it.

`--with-gif=no`: Use this if you have not installed giflib-6.1.3 or libungif.

`--with-tiff=no`: Use this if you have not installed libtiff-4.7.1.

`--with-gnutls=no`: Use this if you have not installed GnuTLS-3.8.13.

`--without-harfbuzz`: Use this if you have not installed harfBuzz-14.2.0.

`--with-json=no`: Use this if you have not installed jansson-2.15.0.

`--with-kerberos5`: Use this option if you have installed MIT Kerberos V5-1.22.2 and need to use it for authentication in Emacs' built-in email client.

## Contents

Installed Programs: ctags, ebrowse, emacs (symlink), emacs-30.2, emacsclient, and etags
Installed Libraries: None
Installed Directories: /usr/libexec/emacs and /usr/share/emacs

### Short Descriptions

ctags | creates cross-reference tagfile database files for source code
ebrowse | permits browsing of C++ class hierarchies from within emacs
emacs | is an editor
emacsclient | attaches an emacs session to an already running emacsserver instance
etags | is another program to generate source code cross-reference tagfiles

- Prev

  Ed-1.22.5

- Next

  JOE-4.6

- Up
- Home